Package org.gradle.tooling

## Class GradleConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.tooling.GradleConnectionException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `BuildActionFailureException`, `BuildCancelledException`, `BuildException`, `ListenerFailedException`, `TestExecutionException`, `UnsupportedBuildArgumentException`, `UnsupportedVersionException`

      public class GradleConnectionException
      extends java.lang.RuntimeException

  Thrown when there is some problem using a Gradle connection.
  Since:
    1.0-milestone-3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GradleConnectionException​(java.lang.String message)` |
    `GradleConnectionException​(java.lang.String message, java.lang.Throwable throwable)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GradleConnectionException

          public GradleConnectionException​(java.lang.String message)

    - #### GradleConnectionException

          public GradleConnectionException​(java.lang.String message,
                                           java.lang.Throwable throwable)